commit 100027127cf6ebcccd404eece2bf6862669fc8a9
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Jan 24 22:53:34 2013 -0700

    Bump version number to 1.13.2

commit 3a8c618a731aced34ddc8c69a1798e2cfd967fbd
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Jan 3 23:36:00 2013 -0700

    version bump for 1.13.1.901 (rc1)

commit 95780608df676473f501a6cd73248da9f7be82a0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 18 00:41:08 2012 -0800

    EnableDisableExtensionError: Use ARRAY_SIZE rather than sentinel
    
    d785368e0e converted the other miinitext functions to use ARRAY_SIZE,
    and removed the sentinel, but missed EnableDisableExtensionError so
    passing an invalid extension name could cause the server to walk off
    the end off the list looking for a sentinel that wasn't there.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a6d89f30dde50cbd1117e8639dfb99cc852cfd6a
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 17 15:40:17 2012 +1000

    glx/dri2: initialise api to avoid indirect rendering failing randomly
    
    Running glxinfo under indirect rendering would randomly fail against the
    intel driver, as it would create a context with no attribs, and then the
    api value would be passed to the driver uninitialised.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 65642ccb78aa2d4c4e17b9ac42e4ef625c4a6e8b
Author: Raphael Kubo da Costa <raphael.kubo.da.costa@intel.com>
Date:   Fri Nov 16 19:51:58 2012 +0200

    vfb: Initialize the GLX extension again.
    
    This should fix a regression in the 1.13.0 release: commit
    5f5bbbe543f65c48ecbb5cce80116a86ca3fbe86 removed a code path used by Xvfb
    and made it use the default one when initializing extensions. However, this
    meant the GLX extension was not initialized anymore since it is not part of
    the `staticExtensions' array.
    
    Since it is not possible to just add it to that array after commit
    aad428b8e21c77397c623b78706eb64b1fea77c9, adopt an approach similar to
    xwin's and xquartz's and initialize the extension from vfb's `InitOutput'.
    
    Signed-off-by: Raphael Kubo da Costa <raphael.kubo.da.costa@intel.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit e348e4afc5323779b686ee8ff2f094359664c42e
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Tue Dec 18 01:29:12 2012 -0800

    XQuartz: Don't add the 15bit visual any more
    
    Mountain Lion only supports 32bit backing stores, so don't use 15bit visuals until libXplugin adapts
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    (cherry picked from commit ba4bb3bc1b87eb57cc34d2ad1f302c9d2a15c847)

commit 34fb39a960898f5a0bcc67f76f385ba8a91ea2ba
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Sep 20 21:11:21 2012 -0700

    XQuartz: Add some verbose logging to debug xp_lock_window being unbalanced
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    (cherry picked from commit f54987de97720200ee94eba1c7a737d4ad8c55c8)

commit 06e2ecd0df9b81dd518ae6017ec42765520e2e93
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Sep 20 21:49:40 2012 -0700

    XQuartz: Avoid a possible deadlock with DRI on OS X 10.7.5 and OS X 10.8.2
    
    <rdar://problem/12338921>
    http://bugs.winehq.org/show_bug.cgi?id=31751
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    (cherry picked from commit 25d26875bc9bd6fd23ae1b5280f015abf1b033b7)

commit 92ecbf5f0f516aacb7f0034e3786c4454a07fe8d
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Dec 13 21:05:24 2012 -0700

    No changes from 1.13.0.902 (rc2)
    
    Bump version to 1.13.1

commit ede07c1af35926c77c4e766cc02c00333b498460
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Dec 6 22:46:46 2012 -0700

    Bump version

commit e2369dd404024415853108848c8d052e73e95461
Merge: d71a17c 79220f4
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Dec 6 21:53:42 2012 -0700

    Merge branch 'server-1.13-branch' of git://people.freedesktop.org/~whot/xserver into server-1.13-branch

commit 79220f4390127d9971cbcf378530bf36172ef35a
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Nov 7 11:31:01 2012 +0100

    Xi: Fix modifier swapping in XIPassiveGrabDevice
    
    XIPassiveGrabDevice uses a list of uint32_t as modifier sets.
    
    The ModifierInfo struct represents the current modifier states and is
    therefor used in XIQueryPointer and various events.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit aa9a9ad08b8a6e7e95de7c2bf45d93dd50f9ca87)

commit 521f3fb566e67330a486874928a21ce201dba02b
Author: Sybren van Elderen <sowmestno@msn.com>
Date:   Tue Nov 27 19:27:10 2012 +0100

    hw/dmx: add update_desktop_dimensions() call
    
    The Xdmx server did not update the desktop dimensions when computing screen
    origins.
    
    Signed-off-by: Sybren van Elderen <sowmestno@msn.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 6e18599d691036eca6ff082c17727d9ffb926984)

commit 73bd33b4d4e3df4a8097826695a8dbdc2fb5c920
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 26 10:30:35 2012 +1000

    xkb: fill in keycode and event type for slow keys enablement
    
    eventType is set for the type that triggered a XkbControlsNotify event.
    Technically, SlowKeys is triggered by a timer which doesn't have a matching
    core event type. So we used to use 0 here.
    
    Practically, the timer is triggered by a key press + hold and cancelled when
    the key is released before the timeout expires. So we might as well set
    KeyPress (keycode) in the ControlsNotify to give clients a chance to differ
    between timer-triggered SlowKeys and client-triggered ones.
    
    This is a chance in behaviour, though I suspect with little impact.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    (cherry picked from commit 2c4388a00ec308bc2d48ba751ff510cd5c1b2384)

commit 2def985466683cf3746c03f9ac318e5941d22f86
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Nov 20 14:50:41 2012 -0500

    cursor: Revise edge cases for the pointer moving towards barriers
    
    Since barriers block the invisible line between pixels, that means
    that we need to explicitly check the boundaries, or else we'll have
    a potential off-by-one error. This fixes issues when trying to move
    down or right across a barrier and having the pointer visibly bounce.
    
    Signed-off-by: Jasper St. Pierre <jstpierre@mecheye.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit a51b2c3913fc8556f6bd1c76805d045fc424c4bb)

commit 4a957c9e81233344da0b5b9388ca2d97eedde7d5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 15 14:00:57 2012 +1000

    When resetting device idle time, reset XIAll(Master)Devices too (#56649)
    
    When the screen saver is forcibly deactivated, the idle time counter is
    reset for all devices but not for the fake XIAllDevices and
    XIAllMasterDevices. XScreenSaverQueryInfo uses XIAlldevices to fill the
    "idle" field, thus returning the wrong value.
    
    Regression introduced in
    commit 6aef209ebc2e54f5465da505a780f7b4cc273ee0
    Author: Peter Hutterer <peter.hutterer@who-t.net>
    Date:   Mon Mar 12 13:51:02 2012 +1000
    
        Change lastDeviceIdleTime to be per-device
    
    X.Org Bug 56649 <http://bugs.freedesktop.org/show_bug.cgi?id=56649>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Giacomo Perale <ghepeu@virgilio.it>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 2dc6d9228456cbc274a1fcea478258e5ae4dc629)

commit d71a17cfab6536df9df46a342a24dd415c020192
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Nov 10 10:26:08 2012 +0000

    xf86: select a fake output for headless servers
    
    Following commit 37d956e3ac9513b74078882dff489f9b0a7a5a28
    Author: Keith Packard <keithp@keithp.com>
    Date:   Mon Sep 10 11:14:20 2012 +1000
    
        xf86: fix compat output selection for no output GPUs
    
    headless servers can no longer startup as we no longer select a compat
    output for the fake framebuffer.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=56343
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit e54f71a2c7a1677a5c5032d1e7dc099d5204144b)

commit 72ef659874ffe88e88d2f2a35a6e404782cefe9f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 10 11:14:20 2012 +1000

    xf86: fix compat output selection for no output GPUs
    
    This should work properly with dynamic outputs.
    
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    (cherry picked from commit 37d956e3ac9513b74078882dff489f9b0a7a5a28)

commit a2748aa6bde13b447a246606767535a30090cd02
Author: Dave Airlie <airlied@gmail.com>
Date:   Fri Nov 30 20:54:38 2012 +1000

    randr: call RRProviderInit in the proper place.
    
    No idea where this got lost across development cycles, but its
    definitely missing.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=57448
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit e9ea96d6a88f197928c82b008953f1810de6f792)

commit c0e68f8e70e0b0fbb00992228c4651d5b0902759
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Nov 22 21:37:57 2012 -0700

    Bump release info for this RC1.

commit 395c9e17089a7e4ed46a747904b36b1fec94fab3
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Mon Oct 29 12:57:54 2012 +0100

    EXA: Track source/mask pixmaps more explicitly for Composite fallback regions.
    
    In particular, make sure pExaScr->src/maskPix are cleared when the
    corresponding pictures aren't associated with drawables, i.e. solid or gradient
    pictures. Without this, we would in some cases associate the source/mask region
    with unrelated pixmaps from previous Composite fallbacks, resulting in random
    corruption.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=47266
    
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 1ca096d5e07221025c4c4110528772b7d94f15ee)

commit 7914986fb801f6ea98582db21c0d86b9b200b9ac
Merge: b3d25d8 1a4ec49
Author: Matt Dew <marcoz@osource.org>
Date:   Wed Nov 7 23:24:53 2012 -0700

    Merge branch 'server-1.13-branch' of git://people.freedesktop.org/~whot/xserver into server-1.13-branch

commit 1a4ec493bf3d3d14799340c03533cdcd44b841e8
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Oct 31 19:29:45 2012 +0100

    Xi: Set modifier mask on touch events
    
    Button mask should be out-of-band with the emulated
    pointer events as touch devices don't truly have
    "buttons". Even though, it's handy to have the modifier
    mask from the paired keyboard on touch events.
    
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit b4e44b285ed0eee1d06514215a4b01d54f40094b)

commit 2f99b38747e1a74cade10a7a45cee5eaec8ddea7
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Oct 31 19:32:57 2012 +0100

    Xi: Update the device after delivering the emulated pointer event(#56558)
    
    Ensure emulated pointer events contain the state that applies before the
    event was processed, so the device state must be updated after delivering
    such emulated events.
    
    Co-authored-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 863f32c930d71073ee5f78452b78bd459d024867)

commit 10d9cd36b4966c8e3ea8e791152e1af166224ee8
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Oct 25 15:03:50 2012 +0200

    Sync TouchListener memory allocation with population in TouchSetupListeners()
    
    The allocated TouchListener array may fall short by 1 if hitting the worst case
    situation where there's an active grab, passive grabs on each window in the
    sprite trace and event selection for touch in one of the windows. This may lead
    to memory corruptions as the array is overflown.
    
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit ced56f322ead10d1bc93fcd1f8e0ec3ae51292a3)

commit 835737244f84d34b0b9c5a93560710a2275dcc63
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 18 15:11:31 2012 +1000

    dix: fix zaphod screen scrossing (#54654)
    
    POINTER_SCREEN coordinates are screen-relative. For a Zaphod setup, the
    coordinates after a screen crossing are already relative to the new screen's
    origin. Add that offset to the coordinates before re-setting.
    
    regression introduced by
    commit bafbd99080be49a17be97d2cc758fbe623369945
    Author: Peter Hutterer <peter.hutterer@who-t.net>
    Date:   Wed Aug 8 11:34:32 2012 +1000
    
        dix: work around scaling issues during WarpPointer (#53037)
    
    X.Org Bug 54654 <http://bugs.freedesktop.org/show_bug.cgi?id=54654>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit e7cd5cce740e653000fb1192b600268dcf77dde2)

commit a3f11d2f6066d2120e84f0c33684943474aa8ae1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 17 14:13:29 2012 +1000

    Xi: don't deliver TouchEnd to a client waiting for TouchBegin (#55738)
    
    If a client is still waiting for the TouchBegin, don't deliver a TouchEnd
    event.
    
    X.Org Bug 55738 <http://bugs.freedesktop.org/show_bug.cgi?id=55738>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Thomas Jaeger <thjaeger@gmail.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 676447190190d8546165e21be242cf16dd69f5ae)

commit 11319a922575f1da1d3c5774728c0dee12bab069
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 11 16:03:33 2012 +1000

    xkb: ProcesssPointerEvent must work on the VCP if it gets the VCP
    
    For button release events, the current code picks the VCK. Because that has
    a XKB struct, it thinks this is a PointerKeys event and proceeds to send the
    release event through the XTest pointer. That has no effect in normal
    operation as the button is never down and an attempt is silently discarded
    (normal event processing continues with the VCP).
    
    On server shutdown, the XTest device is already removed, leading to a
    null-pointer derefernce when the device is checked for whether buttons are
    down (XkbFakeDeviceButton → button_is_down(xtest pointer)).
    
    The current state has only worked by accident, the right approach here is to
    handle the VCP's event as such and not switch to the keyboard.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 2decff6393a44b56d80d53570718f95354fde454)

commit 9ddc6ad9d02d886c1dba0496fc9480db64529bf2
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jun 7 14:12:06 2012 -0700

    End physically active touches when device is disabled
    
    Otherwise:
    
    * We can't end the touches while device is disabled
    * New touches after enabling the device may erroneously be mapped to old
      logical touches
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 3b67cd26149eb991b5f015061a818af65369e668)

commit 36f9c2d1ddc8a35c0317db55044d05f07284ab38
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 10 13:33:48 2012 +1000

    dix: fix crash on shutdown if a disabled device is still grabbed (XI1 grab)
    
    A disabled device doesn't have a sprite (less so a sprite->win) and triggers
    a NULL-pointer dereference on shutdown when all active grabs are released as
    part of the cleanup.
    
    Fix this by checking for sprite being non-null and setting the focus window
    to the NullWindow if it is. The rest of the patch just attempts to make
    things more readable.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 4b7f00346daed20c96f3e8ea13ae411858a5424b)

commit b3d25d8d65e4a4864da232630758f125f8a1bfb4
Merge: 5a612aa b87edf1
Author: Matt Dew <marcoz@osource.org>
Date:   Thu Nov 1 22:17:59 2012 -0600

    Merge branch 'server-1.13-branch' of git://people.freedesktop.org/~airlied/xserver into server-1.13-branch

commit b87edf1acca7e57139cd6bdf5838c2b4179352dc
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 27 15:22:44 2012 +1000

    xf86: fix multi-seat video device support. (v2)
    
    If we are not seat 0 the following apply:
    
    don't probe any bus other than platform
    don't probe any drivers other than platform
    assume the first platform device we match on the bus is the primary GPU.
    
    This just adds checks in the correct places to ensure this, and
    with this X can now start on a secondary seat for an output device.
    
    v2: fix Seat0 macros
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    (cherry picked from commit 70e5766874a919039678bb2ed75f2ccea0cb4345)

commit 1e8c960f8777a889fbc17c8711b3e68fd094427b
Author: Dave Airlie <airlied@gmail.com>
Date:   Thu Sep 13 18:44:06 2012 +1000

    config/udev: ignore change on drm devices
    
    for input devices we handle change like remove/add, but for
    drm devices we get change events when we hotplug outputs,
    so lets just ignore change at this level, and let the drivers
    handle it. We may in the future want to route driver udev
    from here instead.
    
    Reported-by: Timo Aaltonen <timo.aaltonen@canonical.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    (cherry picked from commit e0b92f5f86f8ce71ab4c80e9902e51e2525f9705)

commit c7c07558919102f06aeb3fad5f856f04e6757a76
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 10 14:48:37 2012 +1000

    xf86/platform: scan pci after probing devices
    
    This solves a race if we are trying to dynamically power off
    secondary GPUs. Its not the greatest fix ever but it probably
    as good as we can do for now.
    
    The GPU probing causes the devices to be powered up, then when
    we scan the PCI bus we get the correct information from the kernel,
    rather than a bunch of 0xff due to the device being powered off.
    
    drop gratuitous '&'.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    (cherry picked from commit 10672a5abe7d4e924844d7e41c86c24d6367a52b)

commit 39ebf87be749c59a06cb1763e11f14c722f77fbd
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 6 16:33:54 2012 +1000

    dri2: invalidate drawable after sharing pixmap
    
    After we share the pixmap, the backing storage may have changed,
    and we need to invalidate and buffers pointing at it.
    
    This fixes GL compositors and prime windows lacking contents initially.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    (cherry picked from commit 22746df15b5f75dc85f5cf5b73932eb8a44cb89b)

commit 5a612aa44d2fda44317a242c2d8a5fb2afde76c6
Merge: 8f39a6b 0456d56
Author: Matt Dew <marcoz@osource.org>
Date:   Tue Oct 30 22:12:56 2012 -0600

    Merge branch 'server-1.13-branch' of git://people.freedesktop.org/~jturney/xserver into server-1.13-branch

commit 0456d56092e7617131c77b50a7e7f501e6d9d275
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Sep 7 14:58:06 2012 +0100

    Fix 'make distcheck' for hw/xwin
    
    Add some missing header files to _SOURCES so they get distributed properly
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    (cherry picked from commit a69429a17bf4630f6e26f61630a1c2b287202627)

commit 018248136aae19887f10860f33f085f6211a4ceb
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Sep 6 13:51:38 2012 +0100

    Fix compilation of Xorg DDX without XF86VIDMODE
    
    Fix compilation of Xorg DDX without XF86VIDMODE since 6e74fdda, by putting
    xf86vmode.c back under the XF86VIDMODE automake conditional it was accidentally
    taken out of.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Tested-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    (cherry picked from commit 1d9fd7ffb03ff6e44f3a8736a94e4558203ce607)

commit d46af347327bd60a4b2a8066b8b7af11f530590d
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Sun Sep 2 15:17:05 2012 +0100

    hw/xwin: Only add GLX extension once.
    
    Using of LoadExtension() to add GLX onto to the end of the list of extensions on
    every server regeneration leads to hilarious consequences (i.e. crashing) after
    the first regeneration :-)
    
    Possibly xf86ExtensionInit() and QuartzExtensionInit() need a similar fix.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    Tested-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit 25741b1aa3a0fb39cb842a43ab52935673cfdefa)

commit cdd7413bbe1d8b9b64f5315ecd5ba5cdcba38a2c
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Sun Sep 2 14:55:25 2012 +0100

    Correct description of -displayfd option in man page.
    
    A display number, not a port number, is written to the specified fd.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    (cherry picked from commit 7ceb85481280fecbf033f147f0f7834cad3890c6)

commit 8f39a6b0b35764c8d5cac4c7bf66d5902c0ae9a5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 3 13:12:27 2012 +1000

    xfree86: add xf86UpdateDesktopDimensions()
    
    This call is required for external drivers (specifically NVIDIA) that do
    not share the xfree86 infrastructure to update the desktop dimensions.
    Without it, the driver would update the ScreenRecs but not update the total
    dimensions the input code relies on for transformation.
    
    This call is a thin wrapper around the already-existing internal call and
    should be backported to all stable series servers, with the minor ABI bump.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    CC: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    (cherry picked from commit 0a75bd640b3dc26b89d9e342999a7f4b7e98edbf)
    
    Conflicts:
    	hw/xfree86/common/xf86Module.h

commit bea56fc9c460309c676e2ead2080be923d1061dc
Author: Yufeng Shen <miletus@chromium.org>
Date:   Mon Sep 24 14:03:31 2012 -0400

    dix: fix scale_to_desktop for edge ABS events
    
    Scale_to_desktop() converts ABS events from device coordinates
    to screen coordinates:
    [dev_X_min, dev_X_max]  -> [screen_X_min, screen_X_max]
    [dev_Y_min, dev_Y_max]  -> [screen_Y_min, screen_Y_max]
    
    An edge ABS event with X = dev_X_max (e.g., generated from the
    edge of a touchscreen) will be converted to have screen X value
    = screen_X_max, which, however, will be filterd out when xserver
    tries to find proper Window to receive the event, because the
    range check for a Window to receive events is
           window_X_min <= event_screen_X < window_X_max
    Events with event_screen_X = screen_X_max will fail the test get
    and rejected by the Window.
    
    To fix this, we change the device to screen coordinates mapping to
    [dev_X_min, dev_X_max]  -> [screen_X_min, screen_X_max-1]
    [dev_Y_min, dev_Y_max]  -> [screen_Y_min, screen_Y_max-1]
    
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Signed-off-by: Yufeng Shen <miletus@chromium.org>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 0b02150c27e98f996e10d7489f9f67a30e4e3497)

commit f9709b8a63c70fd772286000757c8348a6ad5e1d
Author: Daniel Drake <dsd@laptop.org>
Date:   Fri Sep 7 21:48:35 2012 -0400

    Xi: Don't check for TOUCH_END, it's never set
    
    This flag is never set, so checking for it here means that we'll
    never release the simulated mouse button press after the user touches
    (and releases) the touchscreen for the first time.
    
    Fixes a problem where the XO laptop touchpad became totally
    unusable after touching the screen for the first time (since X then
    behaved as if the mouse button was held down all the time).
    
    Signed-off-by: Daniel Drake <dsd@laptop.org>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 3e6358ee6c33979329b78fe2097a1fdf76fb69cd)

commit f5fad30822ecd4d9767fd8078221910fbf038811
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 28 11:49:29 2012 +1000

    dix: fix crash on XI 1.x grabs on disabled devices.  (#54934)
    
    If the device is disabled, the sprite window is NULL and dereferencing
    crashes the server.
    
    This is only triggered for XI 1.x grabs (ProcXGrabDevice) as XI2 grabs would
    trigger another code path, creating a sprite for the disabled device as if
    detaching it (which is wrong and fixed with this patch too).
    
    Grabbing a disabled device doesn't make sense as it won't send events
    anyway. However, the protocol specs do not prohibit it, so we need to keep
    it working.
    Luckily, oldWin is only used for focus out events, which aren't necessary
    given that the device is disabled.
    
    X.Org Bug 54934 <http://bugs.freedesktop.org/show_bug.cgi?id=54934>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@ubuntu.com>
    (cherry picked from commit 9d6b8365702e4648e793fea21ad22f7174558680)

commit aacfc321b44eae15020875a2b2c9b6ff0e14dd8c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Sep 7 18:17:46 2012 +0100

    Touch: Fix duplicate TouchBegin selection with virtual devices
    
    Given the following scenario:
      1) client A selects for TouchBegin on window W for device D
      2) client B selects for TouchBegin on window W for XIAllDevices
      3) client C selects for TouchBegin on window W with device E
    
    Step 3 will fail with BadImplementation, because attempting to look up
    XIAllDevices or XIAllMasterDevices with dixLookupDevices doesn't work.
    This should succeed (or, if it was selecting for device D, fail with
    BadAccess as it would be a duplicate selection).
    
    Fix this by performing the appropriate lookup for virtual devices.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Chase Douglas <chase.douglas@ubuntu.com>
    (cherry picked from commit 3d2b768efae9936c6929c2bc13c7a1acc074ecd3)

commit e31e272f4fc8b2aa8e2101b89bb65bc1d6a5e1be
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 20 05:56:39 2012 +1000

    dix: set the device transformation matrix
    
    The property handler is registered after setting the property, so
    dev->transform remains as all-zeros. That causes pixman_f_transform_invert()
    to fail (in transformAbsolute()) and invert remains as garbage. This
    may then cause a cursor jump to 0,0.
    
    Since the axes are not yet initialized here and we need to allow for drivers
    changing the matrix, we cannot use the property handler for matrix
    initialization, essentially duplicating the code.
    
    Triggered by the fix to (#49347) in 749a593e49adccdf1225be28a521412ec85333f4
    
    https://bugzilla.redhat.com/show_bug.cgi?id=852841
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@ubuntu.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 3d1051aecbb1955084804133cacd12c7f696833a)

commit f0bad69edd57facd6cffde8cb0863d1a735e2492
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 5 14:45:08 2012 -0700

    Version bumped to 1.13
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 856f80c8d7f22b979c72d9c70b70187df6004a03
Merge: 0db936a b8ab93d
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 5 11:02:58 2012 -0700

    Merge remote-tracking branch 'jeremyhu/master'

commit 0db936a5b7125d9b73633733cb34e5e4b72f01e8
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 15:09:36 2012 +1000

    xf86: call enter/leave VT for gpu screens as well
    
    Otherwise we can't do fast user switch properly for multiple GPUs.
    
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 18deac48db0d2387242461025904eb28a0f71fac
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 27 15:17:21 2012 +1000

    config/udev: respect seat for hotplugged video devices.
    
    This respects the seat tag for hotplugged video devices at X start.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ec740cffeba59216f4293fba829097654cde3b11
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 27 15:15:19 2012 +1000

    config/udev: add wrapper around check if server is not seat 0
    
    this is a simple clean-up that is useful to stop further propogation
    of this construct.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 49ec57d5094be0dd2b67435ac7bb04ead780f36d
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 24 13:23:01 2012 +1000

    dix: free default colormap before screen deletion
    
    If we don't free this here, it gets freed later in the resource
    cleanups, however it then looks up up pmap->pScreen, which we
    freed already in this function. So free the default colormap
    when we should.
    
    This fixes a bug after a couple of hotplug cycles when you try
    to exit the X server and it crashes.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 20f601a0fbc01a4f8ab85e54ee45f78f7817cdb5
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 24 12:56:18 2012 +1000

    xf86/crtc: don't free config->name
    
    This is set by pre_init not screen init, so if we free it here
    and then recycle the server, we lose all the providers.
    
    I think we need to wrap FreeScreen here to do this properly,
    will investigate for 1.14 most likely, safer to just leak this
    on server exit for now.
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b8ab93dfbc7f292b5bfe7e9113e1af824ccbd1a8
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Tue Aug 28 10:06:51 2012 -0700

    list: Use offsetof() and typeof() to determine member offsets within a structure
    
    Some compilers have difficulty with the previous implementation which
    relies on undefined behavior according to the C standard.  Using
    offsetof() from <stddef.h> (which most likely just uses
    __builtin_offsetof on modern compilers) allows us to accomplish this
    without ambiguity.
    
    This fix also requires support for typeof().  If your compiler does not
    support typeof(), then the old implementation will be used.  If you see
    failures in test/list, please try a more modern compiler.
    
    v2: Added fallback if typeof() is not present.
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 148583d62b84832369e9df39b3e527b99ca96761
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 29 09:11:35 2012 +1000

    tests: move GCC diagnostics pragma outside of function
    
    This is a  a gcc 4.6+ feature.
    
    signal-logging.c:210: error: #pragma GCC diagnostic not allowed inside
    functions
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c75c947b6e9bc725821b28835f3667c4aabef9ee
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Tue Aug 28 12:43:55 2012 -0700

    test/list: Fix test_xorg_list_del test
    
    We never use child[2], so it's state is undefined.
    
    This issue seems to have existed since the test was first
    written: 92788e677be79bd04e5ef140f4ced50ad8b1bf8e
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 486038fe16957b39d39842365c5409c494c9a8df
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Mon Aug 27 22:35:51 2012 -0700

    XQuartz: Bump Info.plist version to 2.7.4
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit b90b3f6eac34616c46ab693fafbf6b73a04f407b
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Mon Aug 27 17:15:19 2012 -0700

    test: Make os test more compliant
    
    sighandler_t is not UNIX.
    
    Regression from: 7f09126e068015db54c56bb982b8f91065375700
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a557edca6152ad09c685a00e01534c35a1f00f2e
Merge: 6619f5c 24ffcfc
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 27 08:06:09 2012 -0700

    Merge remote-tracking branch 'whot/for-keith'

commit 24ffcfcded6b4b024958801e8a6cecad36d9a3e3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 20 10:28:26 2012 +1000

    os: fix typo, fsync when WIN32 is _not_ defined
    
    Introduced in 164b38c72fe9c69d13ea4f9c46d4ccc46566d826
    
    Reported-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit d53e6e02a2595ced1882f5fcd34d08ea039b3b85
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 16 13:54:42 2012 +1000

    mi: don't check for core events in miPointerSetPosition (#53568)
    
    As of 81cfe44b1ed0de84ad1941fe2ca74bebef3fc58d, miPointerSetPosition now
    returns the screen pointer of the device. This broke floating slave devices,
    as soon as a motion event was submitted, miPointerSetPosition returned NULL,
    crashing the server.
    
    dev->coreEvents is only false if the device is a floating slave, in which
    case it has a sprite.
    
    X.Org Bug 53568 <http://bugs.freedesktop.org/show_bug.cgi?id=53568>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 6619f5c0e1086b57888ff7146e8ed5897b50d440
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 21 13:46:34 2012 -0700

    Relase 1.12.99.905
    
    RC with updated ABI version numbers.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bafbd99080be49a17be97d2cc758fbe623369945
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 8 11:34:32 2012 +1000

    dix: work around scaling issues during WarpPointer (#53037)
    
    In WarpPointer calls, we get input in screen coordinates. They must be
    scaled to device coordinates, and then back to screen coordinates for screen
    crossing and root coordinates in events.
    
    The rounding errors introduced (and clipping in core/XI 1.x events) can lead
    to the actual position being different to the requested input coordinates.
    e.g. 200 scales to 199.9999, truncated to 199 in the event.
    
    Avoid this by simply overwriting the scaled screen coordinates with the
    input coordinates for the POINTER_SCREEN case.
    
    X.Org Bug 53037 <http://bugs.freedesktop.org/show_bug.cgi?id=53037>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 1ebba43052d68d874148e63c9ae38489ddfc5ec1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 15 14:49:04 2012 +1000

    os: don't block signal-unsafe logging, merely warn about it.
    
    Throw an error into the log file, but continue anyway. And after three
    warnings, stop complaining. Not all input drivers will be fixed in time (or
    ever) and our printf implementation is vastly inferior, so there is still a
    use-case for non-sigsafe logging.
    
    This also adds more linebreaks to the message.
    
    CC: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 4912b4adb666dad96b832ab2d7caaae49808723e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 13 14:44:44 2012 +1000

    os: add support for %d and %i to pnprintf
    
    The mouse driver uses %i in some debug messages
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 7f8c39c8b5ef89153ecd84d16331e96d8feb18ef
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 13 14:24:36 2012 +1000

    Add FormatInt64 to convert signed integers in signal-safe manner
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 36c1d92ec0ef0f3927034a12d4cb79dcc22bd185
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 13 12:24:39 2012 +1000

    test: add a few tests for signal-safe logging
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b69536b475118a8787c1726355b504207bf83f8f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 13 11:15:54 2012 +1000

    test: assert from signal-safe number conversion
    
    Throw an assert when the conversion fails instead of just returning. Asserts
    are more informative.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3e091e1075dc29120e54ab2ef110b04ce7383ffd
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Aug 17 11:26:05 2012 -0700

